CVE-2021-21985: VMware vCenter Server远程代码执行漏洞通告

阅读量    150320 |

分享到: QQ空间 新浪微博 微信 QQ facebook twitter

 

0x01   漏洞简述

2021年05月26日,360CERT监测发现VMware官方发布了VMware vCenter Server远程代码执行漏洞的风险通告,该漏洞是由360 Noah Lab的安全研究员Ricter Z发现的。漏洞编号为CVE-2021-21985,漏洞等级:严重,漏洞评分:9.8

VMware vCenter Server是VMware虚拟化管理平台,广泛的应用于企业私有云内网中。通过使用vCenter,管理员可以轻松的管理上百台虚拟化环境,同时也意味着当其被攻击者控制后会造成私有云大量虚拟化环境将被攻击者控制。

可以通过443访问vCenter Server的攻击者可以直接通过请求在目标主机上执行任意代码,并接管目标主机。攻击复杂度低所需的条件少不需要用户交互

对此,360CERT建议广大用户及时将VMware vCenter Server升级到最新版本。与此同时,请做好资产自查以及预防工作,以免遭受黑客攻击。

 

0x02   风险等级

360CERT对该漏洞的评定结果如下

评定方式 等级
威胁等级 严重
影响面 广泛
攻击者价值 非常高
利用难度
360CERT评分 9.8

 

0x03   漏洞详情

CVE-2021-21985: 代码执行漏洞

CVE: CVE-2021-21985

组件: vCenter Server

漏洞类型: 代码执行

影响: 服务器接管

简述: 该漏洞由于vCenter Server默认启用的插件Virtual SAN Health Check缺少输入验证导致的。能通过443端口访问到vSphere Client(HTML5)的攻击者,可以构造特殊的请求包在目标机器上执行任意代码。

目前360cert已经复现该漏洞:

 

0x04   影响版本

– VMware:vCenter Server:

– 非7.0 U2b版本的7.0版本

– 非6.7 U3n版本的6.7版本

– 非6.5 U3p版本的6.5版本

– VMware:Cloud Foundation:

– 低于4.2.1版本的4.x版本

– 低于3.10.2.1版本的3.x版本

 

0x05   修复建议

通用修补建议

– VMware:vCenter Server:

– 7.0版本升级到7.0 U2b

– 6.7版本升级到6.7 U3n

– 6.5版本升级到6.5 U3p

– VMware:Cloud Foundation:

– 4.x版本升级到4.2.1

– 3.x版本升级到3.10.2.1

 

0x06   产品侧解决方案

360安全分析响应平台

360安全大脑的安全分析响应平台通过网络流量检测、多传感器数据融合关联分析手段,对该类漏洞的利用进行实时检测和阻断,请用户联系相关产品区域负责人或(shaoyulong#360.cn)获取对应产品。

360本地安全大脑

360本地安全大脑是将360云端安全大脑核心能力本地化部署的一套开放式全场景安全运营平台,实现安全态势、监控、分析、溯源、研判、响应、管理的智能化安全运营赋能。360本地安全大脑已支持对相关漏洞利用的检测,请及时更新网络神经元(探针)规则和本地安全大脑关联分析规则,做好防护。

 

0x07   时间线

2021-05-25 VMware发布漏洞通告

2021-05-26 360CERT发布通告

 

0x08   参考链接

1、 VMware官方漏洞通告

 

0x09   特制报告下载链接

一直以来,360CERT对全球重要网络安全事件进行快速通报、应急响应。为更好地为政企用户提供最新漏洞以及信息安全事件的安全通告服务,现360CERT正式推出安全通告特制版报告,以便用户做资料留存、传阅研究与查询验证。 用户可直接通过以下链接进行特制报告的下载。

CVE-2021-21985: VMware vCenter Server远程代码执行漏洞通告

若有订阅意向与定制需求请发送邮件至 g-cert-report#360.cn ,并附上您的 公司名、姓名、手机号、地区、邮箱地址。

分享到: QQ空间 新浪微博 微信 QQ facebook twitter
|推荐阅读
|发表评论
|评论列表
加载更多